Go to advanced search

by MrEngman
Wed Dec 13, 2017 10:38 pm
Forum: Troubleshooting
Topic: [Solved] Help installing wifi dongle driver
Replies: 176
Views: 36025

Re: [Solved] Help installing wifi dongle driver

Have you connected the hub using an OTG USB cable? If not the USB on the Pi 0 will operate as a client, not a host, interface and will not see any USB devices connected to it as it will behave like a USB device itself, not a USB host interface. This is typical of the Pi 0 and Pi 0 W. My Pi 0 is also...
by MrEngman
Tue Dec 12, 2017 11:03 am
Forum: Troubleshooting
Topic: [Solved] Help installing wifi dongle driver
Replies: 176
Views: 36025

Re: [Solved] Help installing wifi dongle driver

I don't understand the problem you have installing the wifi driver. If your Pi0 is connected to your network using wifi you should be able to update the kernel and then update the driver directly using the script. Pi0 is without built-in wifi so if there are wrong drivers there is no Internet conne...
by MrEngman
Mon Dec 11, 2017 10:49 pm
Forum: Troubleshooting
Topic: [Solved] Help installing wifi dongle driver
Replies: 176
Views: 36025

Re: [Solved] Help installing wifi dongle driver

I upgraded Pi0 to 4.9 kernell and one more time I'm fighting with this dongle. @MrEngman - is it normal that when I - install the driver - check for new version -> it says that there is a new one. - upgrade it - check another one time -> there is new version. So is it normal or it does not install ...
by MrEngman
Mon Dec 11, 2017 10:21 pm
Forum: Troubleshooting
Topic: Trying to install Alfa AWUS036ACH on raspbian...
Replies: 13
Views: 1026

Re: Trying to install Alfa AWUS036ACH on raspbian...

Mr. Engmann, I tried to use your script. But it throws this message: root@kali:~# install-wifi -h *** Raspberry Pi wifi driver installer by MrEngman. *** Performing self-update /usr/bin/install-wifi: Zeile 19: curl: Kommando nicht gefunden. !!! Failed to download update for install-wifi! !!! Make s...
by MrEngman
Wed Nov 22, 2017 6:19 pm
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

There have been other issues mentioned re the r8188eu driver. If using Raspbian with a GUI and you try to get a wifi module set up selecting the wifi module from the wifi icon it shows no interfaces available even if there are some nearby. Or at least I have seen this behaviour in the past but I don...
by MrEngman
Mon Nov 20, 2017 12:51 am
Forum: Add-ons
Topic: Realtek RTL8192EU ID 0BDA:818B
Replies: 201
Views: 58730

Re: Realtek RTL8192EU ID 0BDA:818B

I've managed to update the 8192eu drivers I compile so they are now available for 4.1.17(-v7)+ and 4.1.18(-v7)+. Using my standard naming format you can download and install using wget https://dl.dropboxusercontent.com/u/80256631/8192eu- kernel - build .tar.gz tar xzf 8192eu- kernel - build .tar.gz...
by MrEngman
Sun Nov 19, 2017 1:39 am
Forum: General discussion
Topic: how to install TP-LINK TL-WN823N on Raspberry Pi 3
Replies: 2
Views: 214

Re: how to install TP-LINK TL-WN823N on Raspberry Pi 3

Dear any master, I have read many posts for installing TP-LINK TL-WN823N driver on Raspberry Pi 2. Try them all but still can't find one solution working on Pi 3. for example: https://raspberrypi.stackexchange.com/questions/54716/raspberry-1-no-wifi-dongle-detected-tp-link-tl-wn823n pi@raspberrypi:...
by MrEngman
Tue Nov 14, 2017 2:58 pm
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

OK, updated raspi-config and setup persistent names.

I really prefer the old network naming.
by MrEngman
Tue Nov 14, 2017 2:34 pm
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

I highly recommend using persistent interface names when using more than one wifi device. The devices don't always come up the same. Sometimes, the onboard unit comes up as wlan1. If using Stretch, I also recommend separating the wpa_supplicant.conf files. Each should have a separate file like this...
by MrEngman
Tue Nov 14, 2017 2:11 pm
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

That is for the built in Broadcom wifi. The TL-WN725n was assign the name wlan0 Oh right. So it looks like wlan0 never acquires a carrier. Does iwlist wlan0 scan return what you expect? I'd also run wpa_cli -i wlan0, then something like this: log_level debug scan <wait for SCAN-RESULTS event> scan_...
by MrEngman
Tue Nov 14, 2017 11:17 am
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

Out of curiosity I took a look at this issue using the built in r8188eu driver on Stretch and I see the same problem. The r8188eu driver loads and the wifi shows up in ifconfig but there does not appear to be any network transfers as no packets are listed in ifconfig. These parts of the log look re...
by MrEngman
Tue Nov 14, 2017 1:10 am
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

dmesg [ 0.000000] Booting Linux on physical CPU 0x0 [ 0.000000] Linux version 4.9.41-v7+ (dc4@dc4-XPS13-9333) (gcc version 4.9.3 (crosstool-NG crosstool-ng-1.22.0-88-g8460611) ) #1023 SMP Tue Aug 8 16:00:15 BST 2017 [ 0.000000] CPU: ARMv7 Processor [410fd034] revision 4 (ARMv7), cr=10c5383d [ 0.0000...
by MrEngman
Tue Nov 14, 2017 1:09 am
Forum: Beginners
Topic: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work
Replies: 26
Views: 1133

Re: wifi dongle tp-link tl-wn725n with raspbian stretch last update dont work

Out of curiosity I took a look at this issue using the built in r8188eu driver on Stretch and I see the same problem. The r8188eu driver loads and the wifi shows up in ifconfig but there does not appear to be any network transfers as no packets are listed in ifconfig . I use the TL-WN725n on several...
by MrEngman
Sun Nov 12, 2017 9:35 am
Forum: Raspbian
Topic: ASUS USB-AC56 (RTL8812AU/RTL8821AU) Driver compile fails
Replies: 200
Views: 76653

Re: ASUS USB-AC56 (RTL8812AU/RTL8821AU) Driver compile fails

[Hi Mr EngMan, Today I cannot seems to update my rtl8812au driver on my ubuntu-mate 16.04.2. Running kernel 4.9.61-v7+ #1049 As I run install-wifi it gives me an error. It stated that I am not running Raspbian OS. So exiting script. *** Raspberry Pi wifi driver installer by MrEngman. *** Performing...
by MrEngman
Fri Nov 10, 2017 12:51 am
Forum: Troubleshooting
Topic: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 4.xx.xx+
Replies: 1309
Views: 925516

Re: (UPDATE) Drivers for TL-WN725N V2 - 3.6.11+ -> 4.xx.xx+

Hello MrEngman, I've tried to download the file 8188eu-20130830.tar.gz for my 3.6.11+ #538 using the command: wget http://www.fars-robotics.net/8188eu-20130830.tar.gz But I get "ERROR 404: Not Found." What could be wrong? I'm sure my internet is working properly, and I can access www.fars-robotics....
by MrEngman
Thu Nov 09, 2017 2:04 pm
Forum: Raspbian
Topic: ASUS USB-AC56 (RTL8812AU/RTL8821AU) Driver compile fails
Replies: 200
Views: 76653

Re: ASUS USB-AC56 (RTL8812AU/RTL8821AU) Driver compile fails

Mr. Enger: I am running your script and my kernel version is 4.4.50-v7+ My kernel build is #1 My wifi module is Bus 001 Device 008. It is using the 8812au driver The script states that a driver does not yet exist for this update. How do I get my ALFA AWUS036ACH to work ? I am trying to get it to wo...
by MrEngman
Thu Oct 26, 2017 8:23 pm
Forum: Advanced users
Topic: [SOLVED] TP-Link Archer T2UH WiFi dongle
Replies: 18
Views: 3437

Re: [SOLVED] TP-Link Archer T2UH WiFi dongle

Hello, I'm having the same issue with getting my TP-Link Archer T2UH USB Wi-Fi adapter to work. The link in the solution post doesn't work any more. Any chance someone could provide a working like to that file? Cordially, Rob Dropbox made changes which killed my original wifi driver install script....
by MrEngman
Mon Oct 23, 2017 1:17 pm
Forum: Raspbian
Topic: How to get a Kernel .config file from a Pi(b)
Replies: 1
Views: 114

Re: How to get a Kernel .config file from a Pi(b)

The kernel config file is now saved as a module so use

Code: Select all

sudo modprobe configs
which will create file /proc/config.gz. Then in your kernel source directory use command

Code: Select all

zcat /proc/config.gz > .config
which will give you the .config file for your kernel.
by MrEngman
Sat Oct 14, 2017 1:26 pm
Forum: Recommended peripherals
Topic: TL-WN722N v2 - monitor mode + mfruba kernel problem
Replies: 8
Views: 1755

Re: TL-WN722N v2 - monitor mode + mfruba kernel problem

root@kali:~/Downloads/kernel-master/drivers/TL-WN722N_v2.0-Ralink/rtl8188EUS_linux_v4.3.0.8_13968.20150417# ln -s /usr/src/kernel/arch/arm /usr/src/kernel/arch/armv7l root@kali:~/Downloads/kernel-master/drivers/TL-WN722N_v2.0-Ralink/rtl8188EUS_linux_v4.3.0.8_13968.20150417# make "******************...
by MrEngman
Sat Oct 14, 2017 12:42 pm
Forum: Recommended peripherals
Topic: TL-WN722N v2 - monitor mode + mfruba kernel problem
Replies: 8
Views: 1755

Re: TL-WN722N v2 - monitor mode + mfruba kernel problem

Thanks for helping. I install sources manualy.... and now even change the distro for Kali and I have still this problem. ux_v4.3.0.8_13968.20150417# make "******************************************" "NO SKRC,we will use default KSRC" "******************************************" make ARCH=armv7l CRO...
by MrEngman
Tue Oct 10, 2017 5:05 pm
Forum: Recommended peripherals
Topic: TL-WN722N v2 - monitor mode + mfruba kernel problem
Replies: 8
Views: 1755

Re: TL-WN722N v2 - monitor mode + mfruba kernel problem

That is not the kernel source. To compile a module for Linux you need to get the Linux source or headers and prepare it for compiling the module before then compiling the module. There is a script that can do it although I have never used it. Take a look here https://www.raspberrypi.org/forums/viewt...
by MrEngman
Tue Oct 10, 2017 9:17 am
Forum: Troubleshooting
Topic: I can;t configure my WiFI
Replies: 15
Views: 772

Re: I can;t configure my WiFI

If your network uses WEP then do not put ".." quotation marks around the WEP key like

Code: Select all

	wep_key0=<WEP-hex-key>
WEP is not secure these days so it would be better to change your network security to WPA/WPA2.
by MrEngman
Tue Oct 10, 2017 6:51 am
Forum: Recommended peripherals
Topic: TL-WN722N v2 - monitor mode + mfruba kernel problem
Replies: 8
Views: 1755

Re: TL-WN722N v2 - monitor mode + mfruba kernel problem

Hi, I bought TL-WN722N v2. I want to use it in monitore mode. I heard there is a many problems, but also found a solution. https://github.com/mfruba/kernel When I try to compile it, after make I've got a problem like that. pi@raspberrypi:~/Downloads/kernel-master/drivers/TL-WN722N_v2.0-Ralink/rtl81...
by MrEngman
Mon Oct 09, 2017 10:26 pm
Forum: Troubleshooting
Topic: Edimax EW-7811UTC WIFIAC NOT WORKING
Replies: 87
Views: 12381

Re: Edimax EW-7811UTC WIFIAC NOT WORKING

loufenec wrote:
Mon Oct 09, 2017 7:53 pm
Yes !
Thank you very much, it worked like a charm :)
I guess I'l have to launch this process every Raspbian update ?
Yes, you will whenever you update the kernel, but at least you now have a working wifi.
by MrEngman
Mon Oct 09, 2017 5:53 am
Forum: Troubleshooting
Topic: Edimax EW-7811UTC WIFIAC NOT WORKING
Replies: 87
Views: 12381

Re: Edimax EW-7811UTC WIFIAC NOT WORKING

Hey @MrEngman, I have this, of you can help me with this wifi: Linux raspberrypi 4.9.41-v7+ #1023 SMP Tue Aug 8 16:00:15 BST 2017 armv7l GNU/Linux It is a PI 2 Thanks a lot ! I have a script which will automatically determine the driver version you need for the Raspbian kernel version you are using...

Go to advanced search